//+------------------------------------------------------------------+
//|                                                         Demo.mq4 |
//|                                                         Mohammed |
//+------------------------------------------------------------------+


#property show_confirm
#property show_inputs

extern double stop_loss = 10;
extern double take_profit = 20;

//+------------------------------------------------------------------+
//| script "modify first market order"                               |
//+------------------------------------------------------------------+
int start()
  {
   bool   result;
   double sl, tp ,point;
   int    cmd,total;
//----
   total=OrdersTotal();
   point=MarketInfo(Symbol(),MODE_POINT);
//----
   for(int i=0; i<total; i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
        {
         //---- print selected order
         OrderPrint();
         cmd=OrderType();
         //---- buy or sell orders are considered
         if(cmd==OP_BUY || cmd==OP_SELL)
           {
            
               if(cmd==OP_BUY) 
               {
                  sl=Bid-stop_loss*point;
                  tp =Bid-stop_loss*point; 
               }
               else 
               {
                  sl=Ask+take_profit*point;
                  tp =Ask-take_profit*point;
               }
               result=OrderModify(OrderTicket(),0,sl,tp,0,CLR_NONE);
           } 
        }
      else { Print( "Error when order select ", GetLastError()); break; }
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+